Subject: Re: [PATCH v3 00/12] config-hook cleanups and three small git-hook features

From: Adrian Ratiu <[email-masked]>
Date: Thu, 26 Mar 2026 12:21:25 +0200

On Wed, 25 Mar 2026, Junio C Hamano <[email-masked]> wrote:
> Adrian Ratiu <[email-masked]> writes:
>
>> Hello everyone,
>>
>> v3 addresses all the feedback and requests received in v2, many thanks to all
>> who contributed.
>>
>> Let's please stop adding features since this is getting rather big again. :)
>> New features can be added in subsequent patches.
>>
>> This series is mostly for minor cleanups, bug fixes and refactorings + three
>> minor feature additions to git-hook, which resulted from review discussions:
>>
>> 1. The ability to show the config scope (--show-scope).
>> 2. The ability to show which hooks are disabled.
>> 3. The ability reject unknown hook names with "--allow-unknown-hook-name" as
>>    an escape hatch.
>>
>> The series is based on the master branch.
>
> Replaced the old one, and then rebuilt ar/parallel-hooks on top.
> Please sanity-check the latter when I later push out the result of
> today's integration.

ar/parallel-hooks is expected to break with this v3.
Sorry I didn't make this clear in the cover letter.

What broke it is the new --allow-unknown-hook-name feature and the
code-review changes (I'd be very surprised if the old ar/parallel-hooks
applied cleanly on top of this, I fixed quite a few conflicts).

Please use v5 of ar/parallel-hooks which I just posted and should apply
cleanly on top of this v3.

> One thing I noticed a bit annoying was that we have "event_disabled"
> boolean in "struct hook", plus a string-list of the same name in
> "struct repository", which means "git grep event_disabled" hits
> both.  Perhaps the caching "struct string_list event_disabled" can
> be renamed to reflect what it is a bit better, like "disabled_events"?

Fixed in parallel-hooks v5.

Thanks!